package com.gct.system.config;

import com.alibaba.csp.sentinel.adapter.spring.webmvc.callback.BlockExceptionHandler;
import com.alibaba.csp.sentinel.slots.block.BlockException;
import com.gct.common.core.result.Result;
import com.gct.system.vo.LoginBean;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * class name: SentinelBockExceptionHandler
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/11 下午4:57
 */
@Component
public class SentinelBockExceptionHandler /*implements BlockExceptionHandler */ {

    /* @Override
     public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, BlockException e) throws Exception {

         httpServletResponse.sendError(-403,"连接被限制");
     }*/
    public static Result handle(LoginBean loginBean, HttpServletRequest request, BlockException blockException) {
        return Result.error("请求频繁，连接受限，稍后重试");
    }
}
