package com.gct.system.config;

import com.gct.common.core.result.Result;
import com.gct.system.vo.LoginBean;
import com.netflix.ribbon.hystrix.FallbackHandler;
import org.springframework.stereotype.Component;
import rx.Observable;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * class name: SentinelFallbackHandler
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/11 下午5:02
 */
@Component
public class SentinelFallbackHandler {
    public static Result resultException(LoginBean loginBean, HttpServletRequest request,Throwable throwable) {
        return Result.error("异常错误");
    }
}
