package com.gct.system.controller;

import com.gct.common.core.result.Result;
import com.gct.system.service.SysOrgRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author xusirui 2021/8/6
 */
@RestController
@RequestMapping("/sysOrgRole")
public class SysOrgRoleController {

    @Autowired
    SysOrgRoleService sysOrgRoleService;

    @GetMapping("/getOrgByRoleName")
    public Result getOrgByRoleName(@RequestParam String username) {
        return Result.ok(sysOrgRoleService.getOrgByRoleName(username));
    }
}
