package com.gct.system.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * <p>
 * 
 * </p>
 *
 * @author xsr
 * @since 2021-08-06
=======
import java.util.List;

/**
 * class name: SysOrgRole
 *
 * @author gxt
 * @version 1.0
 * @since 2021/8/6 上午11:37 周五
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysOrgRole对象", description="")
public class SysOrgRole extends Model<SysOrgRole> {


    private static final long serialVersionUID=1L;

    @TableId(value = "ID",type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "角色ID")
    private String roleId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "数据权限")
    @TableField(exist = false) //非数据库映射字段
    private List<SysOrgRole> children;


    @Override
    protected Serializable pkVal() {
        return null;
    }


}
