package com.gct.system.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.system.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author NewMeanning
 * @since 2020-12-19
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {


    IPage<SysUser> selectUserList(IPage<?> page,
                                 @Param("deptIds") List<String> deptIds,
                                 @Param("roleId") String roleId,
                                 @Param("nickName") String nickName);

    int insertUserRole(@Param("userId") String userId,@Param("roleId") String roleId);
}
