package com.gct.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.system.entity.SysDept;
import com.gct.system.entity.SysOrgRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author NewMeanning
 * @since 2020-12-23
 */
@Mapper
public interface SysOrgRoleMapper extends BaseMapper<SysOrgRole> {


    List<SysOrgRole> findByOrgRoleID(@Param("role") String role);
}
